import { Middleware } from '@nuxt/types';

const myAppointment: Middleware = (context) => {
  const appointmentIdFromMsg = context.route.query.appointmentId;
  if (appointmentIdFromMsg) {
    context.store.commit('localStorage/storageAppointmentIdFromMsg', appointmentIdFromMsg);
  };

  const isAdminLogin = context.store.getters['localStorage/isAdminLogin'];
  if (isAdminLogin) {
    if (context.route.name === 'myAppointmentList') {
      context.redirect('/myAppointmentList/appointmentList')
    }
  } else {
    context.redirect('/consultantLogin');
  }
}

export default myAppointment